## org.apache.lucene.queryParser.surround.query
Class FieldsQuery

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.FieldsQuery

All Implemented Interfaces:
  Cloneable

    public class FieldsQuery

extends SrndQuery

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`FieldsQuery(SrndQuery q, List<String> fieldNames, char fieldOp)`
`FieldsQuery(SrndQuery q, String fieldName, char fieldOp)`

Method Summary
`protected void` `fieldNamesToString(StringBuilder r)`
`List<String>` `getFieldNames()`
`char` `getFieldOperator()`
`boolean` `isFieldsSubQueryAcceptable()`
`org.apache.lucene.search.Query` `makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
`org.apache.lucene.search.Query` `makeLuceneQueryNoBoost(BasicQueryFactory qf)`
`String` `toString()`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isWeighted, makeLuceneQueryField, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldsQuery

    public FieldsQuery(SrndQuery q,
                       List<String> fieldNames,
                       char fieldOp)

### FieldsQuery

    public FieldsQuery(SrndQuery q,
                       String fieldName,
                       char fieldOp)

Method Detail

### isFieldsSubQueryAcceptable

    public boolean isFieldsSubQueryAcceptable()

  Overrides:
    `isFieldsSubQueryAcceptable` in class `SrndQuery`

### makeLuceneQueryNoBoost

    public org.apache.lucene.search.Query makeLuceneQueryNoBoost(BasicQueryFactory qf)

### makeLuceneQueryFieldNoBoost

    public org.apache.lucene.search.Query makeLuceneQueryFieldNoBoost(String fieldName,
                                                                      BasicQueryFactory qf)

  Specified by:
    `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

### getFieldNames

    public List<String> getFieldNames()

### getFieldOperator

    public char getFieldOperator()

### toString

    public String toString()

  Specified by:
    `toString` in class `SrndQuery`

### fieldNamesToString

    protected void fieldNamesToString(StringBuilder r)